New Search

SUSE-SU-2015:1143-1 -- Security update for openssl (important)

oval:org.mitre.oval:def:28265

This update of openssl fixes the following security issues: - CVE-2015-4000 (bsc#931698) * The Logjam Attack / weakdh.org * reject connections with DH parameters shorter than 1024 bits * generates 2048-bit DH parameters by default - CVE-2015-1788 (bsc#934487) * Malformed ECParameters causes infinite loop - CVE-2015-1789 (bsc#934489)

Family:
unix
Status:
ACCEPTED
Platform(s):
  • SUSE Linux Enterprise Server 12
  • SUSE Linux Enterprise Desktop 12
Class:
patch
Reference(s):
  • SUSE-SU-2015:1143-1
  • CVE-2015-4000
  • CVE-2015-1788
  • CVE-2015-1789
  • CVE-2015-1790
  • CVE-2015-1792
  • CVE-2015-1791
  • CVE-2015-3216
Product(s):
  • openssl